Page MenuHomePhabricator

Requesting access to stat1002 for ejegg
Closed, ResolvedPublic

Description

The fundraising team is trying to replace 3rd party email click tracking with an in-house solution for reasons outlined in T114010. I'd like to make a recurring hive job to write all donate.wm.o querystrings with a recipient_id parameter to a file the fundraising cluster can access for further processing.

Related Objects

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptNov 10 2015, 8:35 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Ejegg created this task.Nov 10 2015, 8:35 PM
Ejegg updated the task description. (Show Details)
Ejegg removed a project: Operations.
Ejegg changed Security from None to Access Request.
Ejegg edited subscribers, added: Ejegg; removed: Aklapper, StudiesWorld.
Restricted Application added a project: Operations. · View Herald TranscriptNov 10 2015, 8:35 PM

@Ejegg wants to be in the analytics-privatedata-usersgroup.

RobH added a subscriber: RobH.Nov 12 2015, 9:08 PM

@Ejegg,

We'll need a few things from you before we can implement this change:

  • This seems to be the first change to your access since we implemented the L3 document. Please review and sign this document.
  • Please have your manager approve this expansion of your access.

I've assigned this back to @Ejegg for the above. Please append with signature on L3 and assign to your manager for approval. Once approval is on task, please feel free to assign back to me for implementation.

This is a standard access request change, so it will have a 3 day wait. If there are no objections, I'll merge this next Monday.

RobH assigned this task to Ejegg.Nov 12 2015, 9:08 PM

Change 252778 had a related patch set uploaded (by RobH):
adding ejegg to analytics-privatedata-users

https://gerrit.wikimedia.org/r/252778

RobH triaged this task as Normal priority.Nov 12 2015, 9:26 PM
Andrew added a subscriber: Andrew.Nov 17 2015, 5:53 PM

@Ejegg, note that this ticket is stalled pending Rob's earlier requests.

Ejegg added a comment.Nov 19 2015, 7:19 PM

OK @Andrew, I have signed L3. Sorry to take so long!

@Ejegg -- looks good. Next we need a post on this thread from your manager approving your access.

Ejegg reassigned this task from Ejegg to Wwes.Nov 20 2015, 9:37 PM
Ejegg added a subscriber: K4-713.

Hi Wes!

@K4-713 is out of town for a while, and the Fundraising team is eager to have an in-house way of tracking email clicks (see T114010). I need managerial approval for access to raw web logs - can you OK this request?

Thanks,
-Elliott

Ejegg reassigned this task from Wwes to RobH.Nov 21 2015, 6:26 PM
Ejegg added a subscriber: Wwes.

Thanks @Wwes!

@RobH, my manager is out of town for a while - I hope the approval of her boss is a suitable substitute.

That approval is fine. I'll get a patch in today.

Change 252778 merged by ArielGlenn:
adding ejegg to analytics-privatedata-users

https://gerrit.wikimedia.org/r/252778

Robh already had a patch, it's merged, your account is created and ready on stat1002. Please verify that access works for you and I'll close this task.

Ejegg closed this task as Resolved.Nov 24 2015, 4:36 PM

Just logged in with no problems. Thanks @ArielGlenn and @RobH!

RobH closed subtask Restricted Task as Resolved.Feb 10 2016, 8:15 PM